Bug 1121131 - [RFE] hammer import subcommands should provide info about expected input
Summary: [RFE] hammer import subcommands should provide info about expected input
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Grant Gainey
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-18 12:58 UTC by Matej Kollar
Modified: 2014-09-11 12:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:25:14 UTC


Attachments (Terms of Use)

Description Matej Kollar 2014-07-18 12:58:15 UTC
Description of problem:

It would be useful, if every import subcommand would inform user about export command that produce data it can import.

Additional info

Data can be then reused in import all subcommand.

Comment 1 RHEL Product and Program Management 2014-07-18 13:14:02 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Grant Gainey 2014-07-23 20:06:44 UTC
commit 7de7abc2f09c240298523770d92c7cd197aff00f

Comment 5 Lukas Pramuk 2014-08-25 16:12:41 UTC
VERIFIED. rubygem-hammer_cli_import-0.10.1-1.el6.noarch

# hammer import -h
Usage:
    hammer import [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
    SUBCOMMAND                    subcommand
    [ARG] ...                     subcommand arguments

Subcommands:
    activation-key                Import Activation Keys (from spacewalk-report activation-keys).
    all                           Load ALL data from a specified directory that is in spacewalk-export format.
    config-file                   Create puppet-modules from Configuration Channel content (from spacewalk-report config-files-latest).
    content-host                  Import Content Hosts (from spacewalk-report system-profiles).
    content-view                  Create Content Views based on local/cloned Channels (from spacewalk-export-channels).
    host-collection               Import Host Collections (from spacewalk-report system-groups).
    organization                  Import Organizations (from spacewalk-report users).
    repository                    Import repositories (from spacewalk-report repositories).
    repository-enable             Enable any Red Hat repositories accessible to any Organization (from spacewalk-report channels).
    template-snippet              Import template snippets (from spacewalk-report kickstart-scripts).
    user                          Import Users (from spacewalk-report users).

--> every subcommand description informs about the report that provides the specific data

Comment 6 Bryan Kearney 2014-09-11 12:25:14 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.